Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1191212 - Review Request: nodejs-cli-table - Pretty unicode tables for the CLI
Summary: Review Request: nodejs-cli-table - Pretty unicode tables for the CLI
Keywords:
Status: CLOSED DUPLICATE of bug 1498609
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1194993
Blocks: nodejs-reviews 1115680
TreeView+ depends on / blocked
 
Reported: 2015-02-10 17:26 UTC by Ralph Bean
Modified: 2017-10-04 18:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-04 16:08:13 UTC
piotr1212: fedora-review+


Attachments (Terms of Use)

Description Ralph Bean 2015-02-10 17:26:33 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-cli-table.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-cli-table-0.3.1-1.fc21.src.rpm

Description:
This utility allows you to render unicode-aided tables on the command line
from your node.js scripts.

Comment 1 Ralph Bean 2015-02-10 17:26:35 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=8886443

Comment 2 Piotr Popieluch 2015-02-14 21:59:03 UTC
Package looks good but it seems that it depends on nodejs-colors >= 1.0.3 for installing.

➜  sudo dnf install ~/rpmbuild/RPMS/noarch/nodejs-cli-table-0.3.1-1.fc21.noarch.rpm 
Error: nothing provides npm(colors) >= 1.0.3 needed by nodejs-cli-table-0.3.1-1.fc21.noarch

Comment 3 Ralph Bean 2015-02-17 02:50:00 UTC
Hm.  Well, a nodejs_fixdep can take care of that (in this next release)... but we don't have nodejs-expresso yet to run the test suite.

Spec URL: http://threebean.org/rpm/SPECS/nodejs-cli-table.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-cli-table-0.3.1-2.fc21.src.rpm

Comment 4 Piotr Popieluch 2015-02-20 10:12:21 UTC
Hi Ralph,

npm(expresso) is provided by expresso:

$ dnf whatprovides 'npm(expresso)'
expresso-0.9.2-6.fc21.noarch

The npm download does not contain the tests, to enable the test you could fetch the source from github. (I actually use github as Source0 by default now for node modules as many npm downloads miss license files and tests).

Github sources:
Source0: https://github.com/Automattic/%{barename}/archive/%{version}/%{barename}-%{version}.tar.gz
%setup -q -n %{barename}-%{version}


The tests fail:
 uncaught undefined: Error: Cannot find module 'colors/safe'

It seems that colors/save.js appeared in colors 1.0.0 for the first time. This module will not work with nodejs-colors-0.6.2 which is in Fedora.

To have this module working in Fedora we would need to upgrade nodejs-colors or multiversion nodejs-colors:

https://fedoraproject.org/wiki/Packaging:Node.js?rd=Node.js/Packagers#Handling_Multiple_Version_Scenarios

Comment 5 Ralph Bean 2015-02-20 15:09:45 UTC
Let's wait to upgrade nodejs-colors.  I just requested commit access to help with updating it.

Comment 6 Piotr Popieluch 2015-02-20 15:24:18 UTC
just upgrading nodejs-colors will break all packages which depend on it... see below, all nodejs-colors dependents depend on 1


for line in $(repoquery --whatrequires 'npm(colors)'); do 
   echo ${line}: 
   repoquery -R ${line} | grep colors; 
   echo
done

nodejs-dtree-0:0.0.7-1.fc21.noarch:
npm(colors) < 0.7
npm(colors) >= 0.6.2

nodejs-grunt-0:0.4.4-4.fc21.noarch:
npm(colors) < 1
npm(colors) >= 0.6

nodejs-grunt-html-validation-0:0.1.18-2.fc21.noarch:
npm(colors)
npm(colors) < 0.7
npm(colors) >= 0.6.0

nodejs-grunt-init-0:0.3.1-2.fc21.noarch:
npm(colors) < 1
npm(colors) >= 0.6

nodejs-grunt-saucelabs-0:8.3.3-1.fc21.noarch:
npm(colors) < 0.7
npm(colors) >= 0.6.2

nodejs-node-static-0:0.7.3-2.fc21.noarch:
npm(colors) >= 0.6.0

nodejs-replace-0:0.3.0-2.fc21.noarch:
npm(colors)

nodejs-winston-0:0.7.3-2.fc21.noarch:
npm(colors) < 0.7
npm(colors) >= 0.6

Comment 7 Ralph Bean 2015-02-20 15:36:48 UTC
What a mess.  We'll need to file bugs on each of those asking the maintainers to update in rawhide, I suppose.  (or, multi-version like you were suggesting).

Comment 8 Piotr Popieluch 2015-02-20 15:40:43 UTC
just sent a mail to nodejs sig mailing list for help on this

https://lists.fedoraproject.org/pipermail/nodejs/2015-February/000171.html

Comment 9 Piotr Popieluch 2015-02-21 18:59:47 UTC
I've requested a review for multiversioned nodejs-colors. Please remove both fixdeps (including the caret) and enable tests. The multiversion doesn't seem to work with the fixdeps enabled.

Comment 10 Piotr Popieluch 2015-02-22 16:58:51 UTC
Ah and please add a version to BR: colors for the tests to succeed:

BuildRequires:      npm(colors) >= 1.0.3

Comment 11 Jared Smith 2016-02-23 15:14:34 UTC
Now that npm(colors) has been updated, I think this review can move forward.

Comment 12 Piotr Popieluch 2016-02-27 21:44:54 UTC
Package reviewed. approved but the fixdep for colors needs to be removed in rawhide/f24





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 2 files have
     unknown license. Detailed output of licensecheck in
     /home/piotr/rpmbuild/1191212-nodejs-cli-table/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-cli-table-0.3.1-2.fc25.noarch.rpm
          nodejs-cli-table-0.3.1-2.fc25.src.rpm
nodejs-cli-table.noarch: W: spelling-error Summary(en_US) unicode -> Unicode, uni code, uni-code
nodejs-cli-table.noarch: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
nodejs-cli-table.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-cli-table.noarch: W: only-non-binary-in-usr-lib
nodejs-cli-table.noarch: W: dangling-symlink /usr/lib/node_modules/cli-table/node_modules/colors /usr/lib/node_modules/colors
nodejs-cli-table.src: W: spelling-error Summary(en_US) unicode -> Unicode, uni code, uni-code
nodejs-cli-table.src: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
nodejs-cli-table.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-cli-table.noarch: W: spelling-error Summary(en_US) unicode -> Unicode, uni code, uni-code
nodejs-cli-table.noarch: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
nodejs-cli-table.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-cli-table.noarch: W: only-non-binary-in-usr-lib
nodejs-cli-table.noarch: W: dangling-symlink /usr/lib/node_modules/cli-table/node_modules/colors /usr/lib/node_modules/colors
1 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
nodejs-cli-table (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(colors)



Provides
--------
nodejs-cli-table:
    nodejs-cli-table
    npm(cli-table)



Source checksums
----------------
http://registry.npmjs.org/cli-table/-/cli-table-0.3.1.tgz :
  CHECKSUM(SHA256) this package     : 57e113969149c2043d7eefecc398c31ffecba6ae49f9492de0af000f0187d0b0
  CHECKSUM(SHA256) upstream package : 57e113969149c2043d7eefecc398c31ffecba6ae49f9492de0af000f0187d0b0


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -x CheckOwnDirs -b 1191212
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 13 Ralph Bean 2016-04-04 16:08:13 UTC
I'm no longer pursuing this one.  Thanks to everyone for the assistance here.

Comment 14 Jared Smith 2017-10-04 18:38:13 UTC

*** This bug has been marked as a duplicate of bug 1498609 ***


Note You need to log in before you can comment on or make changes to this bug.